<?php
class headlineConfig  {
    var $parser;
    var $content;
    var $currentTag;
    var $currentOrder;
    var $currentChannelNum;
    function headlineConfig($stream) {
        $this->parser = xml_parser_create();
        xml_set_object($this->parser,$this);
        xml_set_element_handler($this->parser,"tag_open","tag_close");
        xml_set_character_data_handler($this->parser,"cdata");
        xml_set_processing_instruction_handler($this->parser,"process");

        $this->currentChannelNum=-1;
        $this->parse($stream);
        $this->free();
        return $this->content;

    }
    function parse($data) {
        xml_parse($this->parser,$data);
        //return $this->content;
    }
    function tag_open($parser,$tag,$attributes) {
        $tag=strtolower($tag);
        if($tag=="channel") {
            $this->currentChannelNum++;
        }
        $this->currentTag=$tag;
        //echo "$tag\n";
        if((isset($attributes))&(!empty($attributes))) {
            while(list($k,$v)=each($attributes)) {
                //echo "\t$k => $v\n";
                $this->currentOrder=$v;
                $this->content[$this->currentChannelNum][$tag][strtolower($v)]=array();
            }
        }
    }
    function cdata($parser,$cdata) {
        //print_r($cdata);
        $cdata=trim($cdata);
        if(!empty($cdata)) {
            //echo $this->currentTag."\n";
            //echo $this->currentTag."=".$cdata."-\n";
            $this->content[$this->currentChannelNum][$this->currentTag]=$cdata;
        }
    }
    function process($parser, $target, $data) {
        //print_r($cdata);
        $data=trim($data);
        if(!empty($data)) {
            //echo $this->currentTag."\n";
            //echo $this->currentTag."=".$data."-\n";
            $this->content[$this->currentChannelNum][$this->currentTag][$this->currentOrder]=$data;
        }
    }
    function tag_close($parser,$tag) {
        $tag=strtolower($tag);
        //print_r($tag);
    }

    function free() {
        xml_parser_free($this->parser);
    }
} // Fin de la classe xml
/*$xml_parser = new xml();
$xml_parser->parse("<A ID=\"bonjour\">PHP</?>");*/



/*
ancien Arbre homesite 

readconfig : bebits.mcf
Array
(
)

Array
(
    [0] => Array
        (
            [NAME] => Bebits
            [URL] => http://www.bebits.com/backend/recent.xml
            [NAMEURL] => http://www.bebits.com/
            [SECTION] => News
            [NUMBER] => 5
            [LANG] => en
            [HTML] => off
            [REGEXP] => Array
                (
                    [0] => <HEADLINE>(.*?)<\/HEADLINE>\n<SNIPPET>(.*?)<\/SNIPPET>\n<URL>(.*?)<\/URL>
                )

            [ORDER] => Array
                (
                    [0] => title head url
                )

        )

)
-------------------------------------------------
readconfig : 01net.mcf
Array
(
    [0] => Array
        (
            [name] => 01net Actus
            [url] => http://www.01net.com/actus/
            [nameurl] => http://www.01net.com/
            [section] => News
            [number] => 5
            [lang] => fr
            [html] => off
            [regexp] => Array
                (
                    [] => 
                )

            [order] => Array
                (
                    [] => 
                    [0] => 	url title head
                )

            [addurl] => Array
                (
                    [0] => 	http://www.01net.com
                )

            [ident] => BEBITS1
        )

)
<br><br>-------------------------------------------------
readconfig : cnn.mcf
Array
(
    [0] => Array
        (
            [name] => CNN Technology
            [url] => http://www.cnn.com/TECH/
            [nameurl] => http://www.cnn.com/TECH/
            [section] => News
            [number] => 20
            [lang] => en
            [html] => off
            [regexp] => Array
                (
                    [0] => 	\s+<LI><A href="([^"]+?)">(.*?)<\/A><BR>
                )

            [order] => Array
                (
                    [0] => 	url title
                )

            [addurl] => Array
                (
                    [0] => 	http://www.cnn.com
                )

            [ident] => BEBITS1
        )

)
\s+&lt;LI&gt;&lt;A href=&quot;([^&quot;]+?)&quot;&gt;(.*?)&lt;\/A&gt;&lt;BR&gt;<br>-------------------------------------------------
readconfig : mandrake-fr.mcf
Array
(
    [0] => Array
        (
            [name] => Linux Mandrake
            [url] => http://www.linux-mandrake.com/fr/fnews.php3
            [nameurl] => http://www.linux-mandrake.com/
            [section] => News
            [number] => 5
            [lang] => fr
            [html] => off
            [regexp] => Array
                (
                    [] => 
                )

            [order] => Array
                (
                    [0] => 	title
                )

            [ident] => BEBITS1
        )

)
<br>-------------------------------------------------
*/
?>
