<?php
# Copyright (C) 2004 Bull Media
# Written by James Mclean <james@bullmedia.com.au>
# Maintenance and fixes by Ryan Verner <ryan@bullmedia.com.au>

# Quoting Module: Module to allow a quote to dynamically be created and
# then once approved, added to the projects module with individual items
# in the quote assigned to various workers.

# This program is X11 1.0 licensed.  Please see COPYING for more information.

$myEnv["module"] = "quoting";
$myEnv["output"] = "html";

require_once("../../config.inc.php");
require_once(INCLUDEPATH . "container.inc.php");
require_once("inc/quoting.class.php");

if(function_exists("revisionInit")) revisionInit("\$Revision: 1.2 $", __FILE__);

$quotingObj = new Quoting();

if(isset($_POST["confirmation_yes"])) {
    $sql = "DELETE FROM mgw_yb_quoting
            WHERE id='".(int)$_POST["itemid"]."'
           ";

    if(!$conn->Execute($sql)) 
        exit(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

    #$quotingObj->archiveoverview();
    $quotingObj->overview();

} else {

    if(isset($_POST["confirmation_no"])) {

        $quotingObj->archiveoverview();

    } else {

        switch($_REQUEST["op"]) {
            case "Create":          $quotingObj->quoteCreate();     break 1;
            case "Update":          $quotingObj->quoteUpdate();     break 1;
        };

        switch($_REQUEST["action"]) {
            //FIXME: Tidy all this redundant code!
            case "overview":        $quotingObj->overview();        break 1;
            case "quote":           $quotingObj->quote();           break 1;
            case "addaspect":       $quotingObj->addTask();         break 1;
            case "archive":         $quotingObj->quoteArchive(); 
                                    $quotingObj->overview();        break 1;
            case "details":         $quotingObj->details();         break 1;
            case "archiveoverview": $quotingObj->archiveoverview(); break 1;
            case "archivedetails":  $quotingObj->archivedetails();  break 1;
            case "delete":          $quotingObj->quoteDelete();     break 1;
            default:                $quotingObj->overview();        break 1;
        };
    };
};

?>
