<?php
/******************************************************************************
 * Datei:				attachment.php
 * Autoren:				Bastian Pttner		bastian@poettner.net
 *						Thorsten Rinne		thorsten@rinne.info
 * Datum:				2002-09-17
 * Letzte nderung:		2004-01-19
 * Copyright:           (c) 2001-2002 Thorsten Rinne und Bastian Pttner
 *                      (c) 2001-2004 Thorsten Rinne
 * 
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 ******************************************************************************/

/* debug mode:
 * - FALSE	debug mode disabled
 * - TRUE	debug mode enabled
 */
define("DEBUG", FALSE);

if (DEBUG == TRUE) {
	error_reporting(E_ALL);
	}

if (isset($_REQUEST["aktion"]) && ($_REQUEST["aktion"] == "sicherdaten" || $_REQUEST["aktion"] == "sicherlog")) {
	Header("Content-Type: application/octet-stream");
	if ($_REQUEST["aktion"] == "sicherdaten") {
		Header("Content-Disposition: attachment; filename=\"phpmyfaq-data.".date("Y-m-d").".sql\"");
		}
	elseif ($_REQUEST["aktion"] == "sicherlog") {
		Header("Content-Disposition: attachment; filename=\"phpmyfaq-logs.".date("Y-m-d").".sql\"");
		}
	Header("Pragma: no-cache");
	}

include ("../inc/config.php");
include ("../inc/functions.php");
include ("../inc/data.php");
include ("../lang/".$sprache);
require ("../inc/database.php");
$db = new db_mysql();
$db->connect($mysql_server, $mysql_user, $mysql_passwort, $mysql_db);

if (($attpfad == "" || !is_dir("../".$attpfad)) && ($_REQUEST["aktion"] != "sicherdaten" && $_REQUEST["aktion"] != "sicherlog")) {
	print $ad_attach_1;
	die();
	}

if ($attlink == "" && ($_REQUEST["aktion"] != "sicherdaten" && $_REQUEST["aktion"] != "sicherlog")) {
	print $ad_attach_2;
	die();
	}

if (!isset($_REQUEST["aktion"]) || isset($_REQUEST["save"])) {
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><?php print $title; ?> - powered by phpMyFAQ</title>
	<meta name="author" content="Thorsten Rinne, Bastian Poettner">
	<meta name="publisher" content="<?php print $metaPublisher; ?>">
	<meta name="copyright" content="(c) 2001-2003 phpMyFAQ.de">
	<meta name="Content-Language" content="<?php print $metaLanguage; ?>">
	<meta http-equiv="Content-Type" content="text/html; charset=<?php print $metaCharset; ?>">
	<link rel="StyleSheet" href="../template/style.css" type="text/css">
</head>
<body>
<?php
	}

# outgetimte sessions lschen
$db->query("DELETE FROM ".$sqltblpre."faqadminsessions WHERE TIME<'".(time()-(30*60))."'");
# wenn uin vorhanden zur authentifikation verwenden

$user = "";
$pass = "";

if ($_REQUEST["uin"]) {
	$uin = $_REQUEST["uin"];
	}
if (isset($uin)) {
	$query = "SELECT user, pass FROM ".$sqltblpre."faqadminsessions WHERE UIN='".$uin."'";
	if($ipcheck) {
		$query .= " AND ip = '".$_SERVER["REMOTE_ADDR"]."'";
		}
	list($user,$pass) = $db->fetch_row($db->query($query));
	$db->query("UPDATE ".$sqltblpre."faqadminsessions SET TIME='".time()."' WHERE UIN='".$uin."'");
	}

if ($pass == "" && $user == "") {
	print $ad_attach_3;
	}

########################################################################################
#
# Formular anzeigen
#
########################################################################################
if (isset($user) && isset($pass)) {
	$result = $db->query("SELECT ID,NAME,PASS FROM ".$sqltblpre."faquser WHERE name = '".addslashes($user)."' AND PASS = '".addslashes($pass)."'");
	if ($db->num_rows($result) > 0) {
		$auth = 1;
		}
	else {
		$auth = 0;
		}
	list($auth_user,$auth_name,$auth_pass) = $db->fetch_row($result);
	}

if (!isset($_REQUEST["aktion"]) && $auth && allowed(GetRight("addatt"),$auth_user) == 1) {
?>
<table width="100%" height="100%" cellspacing="0" cellpadding="0" border="0"><tr bgcolor="#778899"><td>
<table width="100%" height="100%" border="0" cellspacing="1" cellpadding="5">
<tr bgcolor="#dcdcdc">
	<td align="center"><b><?php print $_REQUEST["id"]." ".$ad_att_addto." ".$ad_att_addto_2 ?></b></td>
</tr>	
<tr bgcolor="#f5f5f5">
	<td align="center">
	<form action="<?php print $_SERVER["PHP_SELF"]; ?>" enctype="multipart/form-data" method="POST">
	<input type="hidden" name="aktion" value="save">
	<input type="hidden" name="uin" value="<?php print $_REQUEST["uin"]; ?>">
	<input type="hidden" name="MAX_FILE_SIZE" value="<?php print $attmax; ?>">
	<input type="hidden" name="id" value="<?php print $_REQUEST["id"]; ?>">
	<input type="hidden" name="save" value="TRUE">
	<?php print $ad_att_att; ?> <input name="userfile" type="file">
	<input class="submit" type="submit" value="<?php print $ad_att_butt; ?>">
	</form> 
	</td>
</tr>
</table>
</td></tr></table>
<?php
	}
elseif (!isset($_REQUEST["aktion"]) && $auth && allowed(GetRight("addatt"),$auth_user) != 1) {
	na();
	}


########################################################################################
#
# Datei entgegen nehmen und speichern
#
########################################################################################
if (isset($_REQUEST["save"]) && $_REQUEST["save"] == TRUE && $auth && allowed(GetRight("addatt"),$auth_user) == 1 ) {
?>
<table width="100%" height="100%" cellspacing="0" cellpadding="0" border="0"><tr bgcolor="#000000"><td>
<table width="100%" height="100%" border="0" cellspacing="1" cellpadding="5">
<tr bgcolor="#fffff0">
	<td align="center"><b><?php print $_REQUEST["id"]." ".$ad_att_addto." ".$ad_att_addto_2 ?></b></td>
</tr>                                                                                                                         <tr bgcolor="#fffff0">
	<td align="center">
<?php
	if (is_uploaded_file($_FILES["userfile"]["tmp_name"]) && !(@filesize($_FILES["userfile"]["tmp_name"]) > $attmax)) {
		$attpfad = EndSlash("../".$attpfad);
		$attlink = EndSlash("../".$attlink);
		if (!is_dir($attpfad)) {
			mkdir($attpfad);
			}
		if (!is_dir($attpfad.$_REQUEST["id"])) {
			mkdir($attpfad.$_REQUEST["id"]);
			}
		if (@move_uploaded_file($_FILES["userfile"]["tmp_name"], $attpfad.$_REQUEST["id"]."/".$_FILES["userfile"]["name"])) {
            chmod ($attpfad.$_REQUEST["id"]."/".$_FILES["userfile"]["name"], 0644);
			print $ad_att_suc;
			}
		else {
			print $ad_att_fail;
			}
		}
	else {
		print $ad_attach_4;
		}
	print "<br><a href=\"javascript:window.close()\">".$ad_att_close."</a>";
?>
	</td>
</tr></table></table>
<?php
	}
elseif (isset($_REQUEST["save"]) && $_REQUEST["save"] == TRUE && $auth && allowed(GetRight("addatt"),$auth_user) != 1) {
	na();
	}

########################################################################################
#
# Sicherung ausgeben
#
########################################################################################

if (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] == "sicherdaten") {
	$text[] = "# pmf: ".$sqltblpre."faqchanges ".$sqltblpre."faqnews ".$sqltblpre."faqrubrik ".$sqltblpre."faqvoting ".$sqltblpre."faqdata ".$sqltblpre."faqcomments ".$sqltblpre."faquser ". $sqltblpre."faqvisits";
	$text[] = "# DO NOT REMOVE THE FIRST LINE!";
	$text[] = "# otherwise this backup will be broken";
	$text[] = "#";
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqchanges", $sqltblpre."faqchanges");
	print implode("\r\n",$text);
    $text = build_insert ("SELECT * FROM ".$sqltblpre."faqcomments", $sqltblpre."faqcomments");
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqdata", $sqltblpre."faqdata");
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqnews", $sqltblpre."faqnews");
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqrubrik", $sqltblpre."faqrubrik");
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faquser", $sqltblpre."faquser");
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqvisits", $sqltblpre."faqvisits");
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqvoting", $sqltblpre."faqvoting");
	print implode("\r\n",$text);
	}
elseif (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] == "sicherdaten" && $auth && allowed(GetRight("backup"),$auth_user) != 1) {
	na();
	}
	
if (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] == "sicherlog") {
	$text[] = "# pmf: ".$sqltblpre."faqadminlog ".$sqltblpre."faqsessions";
	$text[] = "# DO NOT REMOVE THE FIRST LINE!";
	$text[] = "# otherwise this backup will be broken";
	$text[] = '';
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqadminlog", $sqltblpre."faqadminlog");
	print implode("\r\n",$text);
	$text = build_insert ("SELECT * FROM ".$sqltblpre."faqsessions", $sqltblpre."faqsessions");
	print implode("\r\n",$text);
	}

if (isset($_REQUEST["aktion"]) && $_REQUEST["aktion"] != "sicherdaten" && $_REQUEST["aktion"] != "sicherlog") {
	print "</body></html>";
	}

if (DEBUG == TRUE) {
	print "<p>".$db->sqllog()."</p>";
	print "<p>".$db->countqueries()." Queries executed</p>";
	}
$db->dbclose();
?>
