<?php

class forumAdmin extends CObject {
	
	function forumAdmin(&$forumSettings, &$forumUser) {
		global $conn;		

		$this->forumSettings = $forumSettings;
		$this->forumUser = $forumUser;
	}
	
	function action($vars) {
		extract($vars);

		switch($action) {
			case "addModerator" :
				$this->current_TPL = "admin_frm_moderators.tpl";
				$this->addModerator($vars);
				$this->showForm($vars);
			break;
			case "addCategory" :
				$this->current_TPL = "admin_frm_categories.tpl";
				$this->addCategory($vars);
				$this->showForm($vars);
			break;
			case "selectCategory" :
				$this->current_TPL = "admin_frm_forums.tpl";
				$this->selectCategory($vars);
				$this->showForm($vars);
			break;
			case "addForum" :
				$this->current_TPL = "admin_frm_forums.tpl";
				$this->addForum($vars);
				$this->showForm($vars);
			break;
			case "deleteModerator" :
				$this->current_TPL = "admin_frm_moderators.tpl";
				$this->deleteModerator($vars);
				$this->showForm($vars);
			break;
			case "deleteCategory" :
				$this->current_TPL = "admin_frm_categories.tpl";
				$this->deleteCategory($vars);
			break;
			case "deleteForum" :
				$this->current_TPL = "admin_frm_forums.tpl";
				$this->deleteForum($vars);
			break;
			case "editCategory" :
				$this->current_TPL = "admin_frm_categories.tpl";
				$this->editCategory($vars);
				$this->showForm($vars);
			break;
			case "editForum" :
				$this->current_TPL = "admin_frm_forums.tpl";
				$this->editForum($vars);
				$this->showForm($vars);
			break;
			case "showForm" :
				$this->showForm($vars);
			break;
			default :
				$this->current_TPL = "admin_options.tpl";
			break;
		}
	}

	/*******************************
	* ADD A NEW CATEGORY
	***/
	function addCategory($vars) {
		global $conn;
		extract($vars);
		
		$sql = "SELECT MAX(grp_id) AS max_grp_id FROM ". $this->forumSettings->sql_grp_table;
		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
			$row = $res->FetchRow();
			if($row["max_grp_id"] == "") {
				$grp_id = 0;
			}
			else {
				$grp_id = $row["max_grp_id"] + 1;
			}
        if ($new_category != "") {
		  $sql = "INSERT INTO ". $this->forumSettings->sql_grp_table ." (grp_id, grp_name, grp_desc, lu_user, lu_date) VALUES('". (int)$grp_id ."', ". $conn->QMagic($new_category) .", ". $conn->QMagic($new_category_description) .", '". $this->forumUser->userName ."', NOW())";
		  if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
        }
	}

	/*******************************
	* DELETE A CATEGORY
	***/
	function deleteCategory($vars) {
		global $conn;
		extract($vars);

		if($dependenciesChecked != true) {
			$hasDependencies = $this->checkDependencies($vars);
			// if no forums or threads have been found for this group, just delete!
			if($hasDependencies == false) {
				$sql = "DELETE FROM ". $this->forumSettings->sql_grp_table ." WHERE grp_id='". (int)$grp_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

				$this->showForm($vars);
			}
			else {
				// if threads have been found, present the user with the option of deleting or not!
				$this->resubmitFields($vars);
				$this->current_TPL = "admin_frm_records_found.tpl";
			}
		}
		else {
			// if user wishes to continue deleting, delete all affected tables
			if(isset($yesDelete)) {
			// if no forums or threads have been found for this group, just delete!
				$sql = "DELETE FROM ". $this->forumSettings->sql_grp_table ." WHERE grp_id='". (int)$grp_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

				// Check if any moderators are assigned to the forums of the group selected and delete all if any exist!
				$sql = "SELECT * FROM ". $this->forumSettings->sql_frm_table ." WHERE grp_id='". (int)$grp_id ."'";
				if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
					while( $row = $res->FetchRow()){
						$sql2 = "DELETE FROM ". $this->forumSettings->sql_moderator_table ." WHERE frm_id='". $row["frm_id"] ."'";
						if(!$conn->Execute($sql2)) die(showSQLerror($sql2, $conn->ErrorMsg(), __LINE__, __FILE__));

						$sql3 = "DELETE FROM ". $this->forumSettings->sql_thread_table ." WHERE frm_id='". $row["frm_id"] ."'";
						if(!$conn->Execute($sql3)) die(showSQLerror($sql3, $conn->ErrorMsg(), __LINE__, __FILE__));

					}		
				// After all moderators have been deleted, delete all forums of the selected group!
				$sql = "DELETE FROM ". $this->forumSettings->sql_frm_table ." WHERE grp_id='". (int)$grp_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

				$sql = "DELETE FROM ". $this->forumSettings->sql_grp_table ." WHERE grp_id='". (int)$grp_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
			}
			$this->showForm($vars);
		}
	}

	/*******************************
	* EDIT A CATEGORY
	***/
	function editCategory($vars) {
		global $conn;
		extract($vars);

        if ($new_category != "") {
		  $sql = "UPDATE ". $this->forumSettings->sql_grp_table ." SET grp_name=". $conn->QMagic($new_category) .", lu_user='". $this->forumUser->userName ."', lu_date=NOW() WHERE grp_id='". (int)$grp_id ."'";
  		  if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
        }
	}

	function addForum($vars) {
		global $conn;
		extract($vars);

		$sql = "SELECT MAX(frm_id) AS max_id FROM ". $this->forumSettings->sql_frm_table;
		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
		if($row = $res->FetchRow()) {
			$frm_id = $row["max_id"] + 1;
		}
		else {
			$frm_id = 0;
		}
        if ($frm_name != "") {
		  $sql = "INSERT INTO ". $this->forumSettings->sql_frm_table ." (grp_id, frm_id, frm_name, frm_info, frm_rightsLevel, lu_user, lu_date) VALUES('". (int)$grp_id ."', '". (int)$frm_id ."', ". $conn->QMagic($frm_name) .", ". $conn->QMagic($frm_info) .", '". (int)$userRights ."', '". $this->forumUser->userName ."', NOW())";
		  if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
        }
	}

	function deleteForum($vars) {
		global $conn;
		extract($vars);

		if($dependenciesChecked != true) {
			$hasDependencies = $this->checkDependencies($vars);
			// if no threads have been found for this forum, just delete!
			if($hasDependencies == false) {
				// FORUM TABLE
				$sql = "DELETE FROM ". $this->forumSettings->sql_frm_table ." WHERE frm_id='". (int)$frm_id ."' AND grp_id='". (int)$grp_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

				// MODERATORS TABLE
				$sql = "DELETE FROM ". $this->forumSettings->sql_moderator_table ." WHERE frm_id='". (int)$frm_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
				$this->showForm($vars);
			}
			else {
				// if threads have been found, present the user with the option of deleting or not!
				$this->resubmitFields($vars);
				$this->current_TPL = "admin_frm_records_found.tpl";
			}
		}
		else {
			// if user wishes to continue deleting, delete all affected tables
			if(isset($yesDelete)) {
				// FORUM TABLE
				$sql = "DELETE FROM ". $this->forumSettings->sql_frm_table ." WHERE frm_id='". (int)$frm_id ."' AND grp_id='". (int)$grp_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

				// THREADS TABLE
				$sql = "DELETE FROM ". $this->forumSettings->sql_thread_table ." WHERE frm_id='". (int)$frm_id ."'";
				if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
	
				// MODERATORS TABLE
				$sql = "DELETE FROM ". $this->forumSettings->sql_moderator_table ." WHERE frm_id='". (int)$frm_id ."'";
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
			}
			$this->showForm($vars);
		}
	}

	function editForum($vars) {
		global $conn;
		extract($vars);
		
		if($frm_id != $original_forum_selected) {
			$sql = "SELECT *, frm_rightsLevel AS rights_level FROM ". $this->forumSettings->sql_frm_table ." WHERE frm_id='". (int)$frm_id ."' AND grp_id='". (int)$grp_id ."'";
			if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
			if($row = $res->FetchRow()) {
				$this->smarty->assign("original_forum_selected", $frm_id);
				$this->smarty->assign("e_forum_selected", true);
				$this->smarty->assign("e_frm_sel", $row["frm_id"]);
				$this->smarty->assign("edit_forum", $row["frm_name"]);
				$this->smarty->assign("edit_frm_info", $row["frm_info"]);
				$this->smarty->assign("e_urights_sel", $row["rights_level"]);
			}
		}
		else {
            if ($new_forum != "" and $frm_info != "") {
			  $sql = "UPDATE ". $this->forumSettings->sql_frm_table ." SET frm_name=". $conn->QMagic($new_forum) .", frm_info=". $conn->QMagic($frm_info) .", frm_rightsLevel='". (int)$frm_userRights ."' WHERE frm_id='". (int)$frm_id ."' AND grp_id='". (int)$grp_id ."'";
			  if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
            }
		}
	}

	function addModerator($vars) {
		global $conn;
		extract($vars);

		$sql = "INSERT INTO ". $this->forumSettings->sql_moderator_table ." (frm_id, u_id, lu_user, lu_date) VALUES('". (int)$frm_id ."', '". (int)$user_id ."', '". $this->forumUser->userName ."', NOW())";
		if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
	}

	function deleteModerator($vars) {
		global $conn;
		extract($vars);
		$sql = "DELETE FROM ". $this->forumSettings->sql_moderator_table ." WHERE frm_id='". (int)$frm_id ."' AND u_id='". (int)$mod_id ."'";
		if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
	
	}


	function checkDependencies($vars) {
		global $conn;
		extract($vars);
		switch($type) {
			case "category" :
				$sql = "SELECT * FROM ". $this->forumSettings->sql_frm_table ." WHERE grp_id='". (int)$grp_id ."'";
				if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
				if($res->RecordCount() > 0) {
					return true;
				}
				else {
					return false;
				}
			break;
			case "forum" :
				$sql = "SELECT * FROM ". $this->forumSettings->sql_thread_table ." WHERE frm_id='". (int)$frm_id ."'";
				if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
				if($res->RecordCount() > 0) {
					return true;
				}
				else {
					return false;
				}
			break;
		}
	}
	
	function showForm($vars) {
		extract($vars);

		switch($type) {
			case "category" :
				$this->current_TPL = "admin_frm_categories.tpl";
				$this->appendCategories($vars);
			break;
			case "forum" :
				$this->current_TPL = "admin_frm_forums.tpl";
				$this->appendCategories($vars);
				$this->appendUserRights();
				if($group_selected == true) {
					$this->smarty->assign("grp_id", $grp_id);
					$this->smarty->assign("grp_sel", $grp_id);
					$this->appendForums($vars);
				}
				else {
					$this->smarty->append("frm_val", "none");
					$this->smarty->append("frm_out", "Select a group");
				}
			break;
			case "moderator" :
				$this->current_TPL = "admin_frm_moderators.tpl";
				$this->appendForums($vars);
				$this->appendUsers($vars);

				if($forum_selected == true) {
					$this->smarty->assign("frm_id", $frm_id);
					$this->smarty->assign("frm_sel", $frm_id);
					$this->appendModerators($vars);
				}
				else {
					$this->smarty->append("mod_val", "none");
					$this->smarty->append("mod_out", "Select a forum");
				}
			break;
		}
	}
	
	function appendCategories($vars) {
		extract($vars);
		global $conn;

		$sql = "SELECT * FROM ". $this->forumSettings->sql_grp_table;
		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
		if($res->RecordCount() > 0) {
			$this->smarty->append("grp_val", "-----");
			$this->smarty->append("grp_out", Lang::getLanguageString("select_category"));

			while($row = $res->FetchRow()){
				$this->smarty->append("grp_val", $row["grp_id"]);
				$this->smarty->append("grp_out", $row["grp_name"]);
			}		
		}
		else {
			$this->smarty->append("grp_val", "-----");
			$this->smarty->append("grp_out", "-----");
		}				
	}

	function appendForums($vars) {
		extract($vars);
		global $conn;

		if($type == "moderator") {
			$sql = "SELECT * FROM ". $this->forumSettings->sql_frm_table . " a LEFT JOIN ". $this->forumSettings->sql_grp_table ." b on a.grp_id=b.grp_id";
		}
		else {
			$sql = "SELECT * FROM ". $this->forumSettings->sql_frm_table . " WHERE grp_id='". (int)$grp_id ."'";
		}
		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
		if($res->RecordCount() > 0) {
			$this->smarty->append("frm_val", "-----");
			$this->smarty->append("frm_out", Lang::getLanguageString("select_forum")); 

			while($row = $res->FetchRow()){
				if($type == "moderator") {
					if($row["grp_name"] == "") {
						$grp_frm_name = $row["frm_name"];
					}
					else {
						$grp_frm_name = "[". $row["grp_name"] ."] ". $row["frm_name"];
					}
				}
				else {
						$grp_frm_name = $row["frm_name"];
				}
				$this->smarty->append("frm_val", $row["frm_id"]);
				$this->smarty->append("frm_out", $grp_frm_name);
			}		
		}
		else {
			$this->smarty->append("frm_val", "-----");
			$this->smarty->append("frm_out", "-----");
		}				
	}


	function appendModerators($vars) {
		extract($vars);
		global $conn;

		$sql = "SELECT * FROM ". $this->forumSettings->sql_moderator_table ." a LEFT JOIN ". $this->forumSettings->sql_user_table ." b on a.u_id=b.id WHERE a.frm_id = '". (int)$frm_id ."'";
		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
		if($res->RecordCount() > 0) {
			$this->smarty->append("mod_val", "-----");
			$this->smarty->append("mod_out", Lang::getLanguageString("select_moderator"));

			while($row = $res->FetchRow()){
				$this->smarty->append("mod_val", $row["id"]);
				$this->smarty->append("mod_out", $row["username"]);
			}
		}
		else {
			$this->smarty->append("mod_val", "-----");
			$this->smarty->append("mod_out", "-----");
		}
	}

	function appendUsers($vars) {
		extract($vars);
		global $conn;

		$sql = "SELECT * FROM ". $this->forumSettings->sql_moderator_table ." WHERE frm_id='". (int)$frm_id ."'";
		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
		while($row = $res->FetchRow()){
			$moderators_already[] = $row["u_id"];
		}

		$sql = "SELECT DISTINCT(c.id), c.username FROM 
						mgw_groups_members b
						LEFT JOIN 
						mgw_users c
						ON b.userid=c.id
				";
		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
		if($res->RecordCount() > 0) {
			$this->smarty->append("user_val", "none");
			$this->smarty->append("user_out", Lang::getLanguageString("select_user")); 

			while($row = $res->FetchRow()){
				// if moderator already exists for the chosen forum, dont include him in the list!
				if(count($moderators_already) > 0) {
					$appendModerator = true;
					for($i=0; $i < count($moderators_already); $i++) {
						if($moderators_already[$i] == $row["id"]) {
							$appendModerator = false;
						}
					}
					if($appendModerator == true) {
						$this->smarty->append("user_val", $row["id"]);
						$this->smarty->append("user_out", $row["username"]);
					}
				}
				else {
					$this->smarty->append("user_val", $row["id"]);
					$this->smarty->append("user_out", $row["username"]);
				}
			}		
		}
		else {
			$this->smarty->append("user_val", "none");
			$this->smarty->append("user_out", "none");
		}				
	}
	
	function appendUserRights() {
		$this->smarty->append("urights_val", "3");
		$this->smarty->append("urights_out", "User");
		$this->smarty->append("urights_val", "6");
		$this->smarty->append("urights_out", "Moderator");
		$this->smarty->append("urights_val", "9");
		$this->smarty->append("urights_out", "Administrator");
	}
	
	function resubmitFields($vars) {
		$keys = array_keys($vars);
		
		$this->smarty->assign("type", $vars["type"]);
		for($i=0; $i<count($vars); $i++) {
			$this->smarty->append("hiddenName", $keys[$i]);
			$this->smarty->append("hiddenValue", $vars[$keys[$i]]);
		}
	}

	function display() {
		$this->smarty->display($this->current_TPL);
	}

}

?>