<?php
/*
This file is part of Thomas Bley's moregroupware webmail2/calendar2/admin2 module. (tb-mgw)

More information:
-----------------

Simple Groupware Solutions Thomas Bley
Fichtenstr. 23
Germany, 85640 Putzbrunn

Contact:
--------

info@simple-groupware.de

http://www.simple-groupware.de


Copyright 2002-2003 Thomas Bley
tb-mgw is distributed under the terms of the GNU General Public License 

tb-mgw is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

tb-mgw is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with tb-mgw; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Index
// Moregroupware.org

$myEnv["module"] = "webmail2";
// do not display the webmail2 submenu
$myEnv["stdsmenu"] = false;
// you need this to get it visible
$myEnv["output"] = "html";

include("../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");


// definition of moregroupware class, holding application vars

$smarty->assign("topheight", 67); // 88-21

/*
if (isset($MGW->settings["wm2_show_top_menu"]) and $MGW->settings["wm2_show_top_menu"]) {
  $smarty->assign("wm2_show_top_menu",true);
}
$smarty->assign("wm2_show_top_menu",true);
*/

$myvars = array("new","mbox_id","rightframe","todo");
foreach ($myvars as $thevar) {
  ${$thevar} = (isset($_GET[$thevar])) ? $_GET[$thevar] : (isset($_POST[$thevar]) ? $_POST[$thevar] : "");
}

if(isset($_POST) )
{
	if ( isset($_POST["savesettings"]) ) {
		$sql = "SELECT * FROM mgw_webmail2_mbox_quota";

		if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

		while( $row = $res->FetchRow() ) {	
			$index = "quota".$row["user_id"];
	
			if(isset($_POST[$index]) && is_numeric($_POST[$index])) {
				$sql = "UPDATE mgw_webmail2_mbox_quota SET quota=".$_POST[$index]." WHERE user_id=".$row["user_id"];
				
				if(!$conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));
			}		
		}
	}
}

// make shure we are the admin user
if( $username != "admin") {
	// a normal user should never get here
	$smarty->assign("message", Lang::getLanguageString("webmail2_warn_not_admin") );
} else {
	// check out if "all" users have a mailbox quota row in the database, 
	// if not, create one
	// missing mailbox quota rows are also created if the user launches webmail2
	// but only for the current user
	
	$sql = "SELECT id FROM mgw_users WHERE level>0";
	if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

	while( $row = $res->FetchRow() ) {
		mbox_check_for_quota ($row["id"]);
	}

	$smarty->assign("message","");

	$concat = $conn->Concat("b.lastname","', '","b.firstname");
	$sql = "SELECT a.* , $concat AS fullname FROM mgw_webmail2_mbox_quota a LEFT JOIN mgw_users b ON a.user_id = b.id WHERE b.level>0 ORDER BY fullname ASC";

	if(!$res = $conn->Execute($sql)) die(showSQLerror($sql, $conn->ErrorMsg(), __LINE__, __FILE__));

	$myarray=array();
	while( $row = $res->FetchRow() ) {
		$myarray[] = $row;
	}
	$smarty->assign("quotaSettings",$myarray);


}
	



error_reporting  (E_ERROR | E_WARNING | E_PARSE | E_NOTICE);

$smarty->assign("custom_module_menu2","");
$smarty->assign("modulename","webmail2");
$smarty->assign("quota_settings_title",Lang::getLanguageString("webmail2_settings_soft_quota"));
$smarty->assign("username",$username);


$smarty->assign("myimgpathmaster","templates/default/media");
$smarty->display("quota_settings.tpl");
?>
